@import url('https://fonts.googleapis.com/css2?family=Inter:opsz,wght@14..32,100..900&display=swap');

@font-face {
  font-family: 'Gotham';
  src: url('../Gotham-Bold/Gotham-Bold.woff2') format('woff2'),
       url('../Gotham-Bold/Gotham-Bold.woff') format('woff'),
       url('../Gotham-Bold/Gotham-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}

body {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: stretch;
  -webkit-align-items: stretch;
  -ms-flex-align: stretch;
  align-items: stretch;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  position: relative;
  text-align: center;
  word-break: break-word;
  color: #ffffff;
  background-color: #000000;
  min-height: 100vh;
  font-family: 'Gotham', sans-serif;
  -webkit-tap-highlight-color: transparent;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  scrollbar-width: none;
  -ms-overflow-style: none;
  background-image: url(../img/background.png);
  background-position: center;
  background-size: cover;
  background-position: center;
}

body::-webkit-scrollbar {
  display: none;
}

.transparent {
  opacity: 0 !important;
  z-index: -100 !important;
}

.content {
  width: 100%;
  margin: auto;
  padding: 0 0.9vh;
}

.header {
  padding: 6vh 3vh 5vh;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  width: 100%;
  z-index: 9;
}

.header__logo {
  margin: 0 auto;
  -webkit-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

.header__logo:hover {
  -webkit-transform: scale(1.1);
  -ms-transform: scale(1.1);
  transform: scale(1.1);
}

.header__logo img {
  margin: 0 auto;
  display: block;
  height: 5vh;
}

.header__volume {
  position: fixed;
  top: 3vh;
  right: 4.6vh;
  width: 5.6vh;
  height: 5.6vh;
  min-width: 56px;
  min-height: 56px;
  z-index: 10000;
  cursor: pointer;
  opacity: 1;
  -webkit-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
  -webkit-box-shadow: 0 0 0 2px rgba(71, 173, 255, 0.25);
  box-shadow: 0 0 0 2px rgba(71, 173, 255, 0.25);
  border-radius: 1vh;
}
.header__volume:hover {
  -webkit-transform: scale(1.1);
  -ms-transform: scale(1.1);
  transform: scale(1.1);
}
.header__volume img {
  display: block;
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
  object-fit: contain;
  -o-object-position: center;
  object-position: center;
}
.header__volume img,
.header__volume.sound-on img {
  display: block;
}
.header__volume img ~ img,
.header__volume.sound-on img ~ img {
  display: none;
}
.header__volume.sound-off img {
  display: none;
}
.header__volume.sound-off img ~ img {
  display: block;
}

.header__volume-mob {
  display: none;
}

h1,
h2 {
  width: 100%;
}

.button {
  padding: 1vh 3vh;
  /* display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center; */
  position: relative;
  width: 100%;
  max-width: 25vh;
  color: #fff;
  text-align: center;
  text-shadow: 0 0.2vh 0.2vh rgba(0, 0, 0, 0.25);
  font-family: 'Gotham', sans-serif;
  font-size: 3.5vh;
  font-weight: 600;
  line-height: 1.3;
  text-transform: uppercase;
  border-radius: 7vh;
  background: -o-linear-gradient(170.77deg, #4ca421 19.3%, #a6fc71 154.53%);
  background: linear-gradient(279.23deg, #4ca421 19.3%, #a6fc71 154.53%);
  -webkit-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

.main {
  -webkit-box-flex: 1;
  -webkit-flex: 1 1 auto;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: start;
  -webkit-justify-content: flex-start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  position: relative;
  z-index: 10;
}
.main.overlay {
  z-index: 1001;
}
.main.overlay::after {
  content: '';
  position: fixed;
  bottom: 0;
  left: calc(50% - 100vw / 2);
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.6);
  z-index: 1001;
}

.title {
  font-weight: 700;
  line-height: 1.2;
  text-transform: uppercase;
  color: #fff;
  -webkit-text-stroke: 0.1vh #584d42;
}

.title .contrast {
  color: #f2a721;
}

.main__title {
  margin-bottom: 4vh;
  color: #fff;
  text-align: center;
  font-size: 4.2vh;
  font-weight: 700;
  line-height: 1.2;
  text-transform: uppercase;
  z-index: 1003;
  -webkit-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

.main__title > .light-text {
  display: block;
  font-size: 2.5vh;
}

.main__background {
  position: fixed;
  width: 100vw;
  height: 100vh;
  top: 0;
  bottom: 0;
  left: 0;
  z-index: -1000;
}

.main__background img {
  display: block;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  -o-object-position: center;
  object-position: center;
}

.main__background img ~ img {
  display: none;
}

.main__video {
  padding-bottom: 50vh;
  margin-bottom: 3.5vh;
  position: relative;
  width: 100%;
  max-width: 78.7vh;
  position: relative;
  border: 1vh solid #4ca421;
  border-radius: 2.4vh;
  overflow: hidden;
  z-index: 1002;
  -webkit-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

.main__video > video {
  display: block;
  -o-object-fit: cover;
  object-fit: cover;
  position: absolute;
  width: 100%;
  height: 100%;
  bottom: 0;
  left: 0;
  z-index: 1;
  -webkit-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

.main__video > video.main-video-mob {
  display: none;
}

.main.overlay .main__button {
  opacity: 0;
  display: none;
}

.main__button-mob {
  display: none;
}

@-webkit-keyframes button-glow {
  0% {
    -webkit-filter: drop-shadow(0 0 0 #ffffff);
    filter: drop-shadow(0 0 0 #ffffff);
  }
  50% {
    -webkit-filter: drop-shadow(0 0 3.5vh #ffffff);
    filter: drop-shadow(0 0 3.5vh #ffffff);
  }
  100% {
    -webkit-filter: drop-shadow(0 0 0 #ffffff);
    filter: drop-shadow(0 0 0 #ffffff);
  }
}

@keyframes button-glow {
  0% {
    -webkit-filter: drop-shadow(0 0 0 #ffffff);
    filter: drop-shadow(0 0 0 #ffffff);
  }
  50% {
    -webkit-filter: drop-shadow(0 0 3.5vh #ffffff);
    filter: drop-shadow(0 0 3.5vh #ffffff);
  }
  100% {
    -webkit-filter: drop-shadow(0 0 0 #ffffff);
    filter: drop-shadow(0 0 0 #ffffff);
  }
}

/* FOOTER */
.footer {
  padding-top: 2vh;
  padding: 2vh calc(50% - 130vh / 2);
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  align-items: center;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100vw;
  max-width: 100% !important;
  z-index: 1000;
  background: #121a26;
}

.footer > *:not(:last-child) {
  margin-right: 32px;
}

.footer img {
  display: block;
}

.footer ul {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: start;
  -webkit-justify-content: flex-start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  width: auto;
  list-style: none;
}

.footer__payment li + li {
  margin-left: 2vh;
}

.footer ul img {
  display: block;
  height: 2.8vh;
  -o-object-position: center;
  object-position: center;
  -o-object-fit: contain;
  object-fit: contain;
}

.footer__crypto {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: end;
  -webkit-justify-content: flex-end;
  -ms-flex-pack: end;
  justify-content: flex-end;
}

.footer-crypto__title {
  margin-right: 20px;
  min-width: 7.8vh;
  display: inline-block;
  font-family: 'Inter', sans-serif;
  font-weight: 300;
  font-style: normal;
  font-size: 1vh;
  line-height: 1;
  color: #ffffff;
}

.footer__crypto ul li + li {
  margin-left: 1.4vh;
}

.footer__crypto ul img {
  height: 2.4vh;
}

/* POPUP */
.popup {
  padding: 12vh 7vh 4.8vh;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: end;
  -webkit-justify-content: flex-end;
  -ms-flex-pack: end;
  justify-content: flex-end;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: url(../img/popup-bg-desk.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100% 100%;
  z-index: 10;
  -webkit-transform: scale(0);
  -ms-transform: scale(0);
  transform: scale(0);
  -webkit-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
  overflow: auto;
}

.main__video.active-popup .popup {
  -webkit-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1);
}

.main__video.active-popup > video {
  opacity: 0;
}

.main__video.active-popup {
  border-color: transparent;
}

.popup__title {
  margin-bottom: 6vh;
  position: relative;
  font-size: 6.2vh;
  text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
  z-index: 1;
}

.popup__title > span {
  display: block;
}

.popup__title br {
  display: none;
}

.popup__button {
  padding: 2.9vh 4vh;
  width: auto;
  max-width: 100%;
}

.popup__button br {
  display: none;
}

.button:hover {
  opacity: 0.75;
}

@-webkit-keyframes green-button-glow {
  0% {
    -webkit-filter: drop-shadow(0 0 3.2vh rgba(0, 0, 0, 0.25));
    filter: drop-shadow(0 0 3.2vh rgba(0, 0, 0, 0.25));
  }
  50% {
    -webkit-filter: drop-shadow(0 0 0 rgba(0, 0, 0, 0.25));
    filter: drop-shadow(0 0 0 rgba(0, 0, 0, 0.25));
  }
  100% {
    -webkit-filter: drop-shadow(0 0 3.2vh rgba(0, 0, 0, 0.25));
    filter: drop-shadow(0 0 3.2vh rgba(0, 0, 0, 0.25));
  }
}

@keyframes green-button-glow {
  0% {
    -webkit-filter: drop-shadow(0 0 3.2vh rgba(0, 0, 0, 0.25));
    filter: drop-shadow(0 0 3.2vh rgba(0, 0, 0, 0.25));
  }
  50% {
    -webkit-filter: drop-shadow(0 0 0 rgba(0, 0, 0, 0.25));
    filter: drop-shadow(0 0 0 rgba(0, 0, 0, 0.25));
  }
  100% {
    -webkit-filter: drop-shadow(0 0 3.2vh rgba(0, 0, 0, 0.25));
    filter: drop-shadow(0 0 3.2vh rgba(0, 0, 0, 0.25));
  }
}

.main__audio {
  width: 0;
  opacity: 0;
  position: absolute;
  z-index: -100;
}
